Debian Bug report logs - #328098
fonttools: do not work during summer

version graph

Package: fonttools; Maintainer for fonttools is Paul Wise <pabs@debian.org>; Source for fonttools is src:fonttools.

Reported by: Eugeniy Meshcheryakov <eugen@univ.kiev.ua>

Date: Tue, 13 Sep 2005 12:33:02 UTC

Severity: important

Found in versions fonttools/1.99+2.0b1+cvs20031014-1, fonttools/1.99+2.0b1+cvs20050624-2

Fixed in version fonttools/1.99+2.0b1+cvs20060225-1

Done: Paul Wise <pabs3@bonedaddy.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Fok <foka@debian.org>:
Bug#328098; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
New Bug report received and forwarded. Copy sent to Anthony Fok <foka@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@univ.kiev.ua>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fonttools: do not work during summer
Date: Tue, 13 Sep 2005 15:19:21 +0300
[Message part 1 (text/plain, inline)]
Package: fonttools
Version: 1.99+2.0b1+cvs20031014-1
Severity: important
Tags: patch

It is not summer now, but fonttools do not work because of taylight
saving time is active. When I run ttx I get (timezone Europe/Kiev):

$ LANG=C date
Tue Sep 13 14:54:57 EEST 2005
Dumping "FreeMono.ttf" to "FreeMono.ttx"...
Dumping 'GlyphOrder' table...
Traceback (most recent call last):
  File "/usr/bin/ttx", line 11, in ?
    ttx.main(sys.argv[1:])
  File "/usr/lib/python2.3/site-packages/FontTools/fontTools/ttx.py",
line 261, in main
    process(jobs, options)
  File "/usr/lib/python2.3/site-packages/FontTools/fontTools/ttx.py",
line 246, in process
    action(input, output, options)
  File "/usr/lib/python2.3/site-packages/FontTools/fontTools/ttx.py",
line 161, in ttDump
    disassembleInstructions=options.disassembleInstructions)
  File
"/usr/lib/python2.3/site-packages/FontTools/fontTools/ttLib/__init__.py",
line 230, in saveXML
    self._tableToXML(tableWriter, tag, progress)
  File
"/usr/lib/python2.3/site-packages/FontTools/fontTools/ttLib/__init__.py",
line 245, in _tableToXML
    table = self[tag]
  File
"/usr/lib/python2.3/site-packages/FontTools/fontTools/ttLib/__init__.py",
line 333, in __getitem__
    tableClass = getTableClass(tag)
  File
"/usr/lib/python2.3/site-packages/FontTools/fontTools/ttLib/__init__.py",
line 715, in getTableClass
    module = getTableModule(tag)
  File
"/usr/lib/python2.3/site-packages/FontTools/fontTools/ttLib/__init__.py",
line 704, in getTableModule
    __import__("fontTools.ttLib.tables." + pyTag)
  File
"/usr/lib/python2.3/site-packages/FontTools/fontTools/ttLib/tables/_h_e_a_d.py",
line 108, in ?
    mac_epoch_diff = calc_mac_epoch_diff()
  File
"/usr/lib/python2.3/site-packages/FontTools/fontTools/ttLib/tables/_h_e_a_d.py",
line 104, in calc_mac_epoch_diff
    assert time.gmtime(safe_epoch)[:6] == safe_epoch_t[:6]
AssertionError

When I run it with TZ=EEST it works. The reason is that package uses
function (or variable) time.timezone that returns offset for winter
timezone that is not active now. Attached patch fixes this bug.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)

Versions of packages fonttools depends on:
ii  libc6                         2.3.5-6    GNU C Library: Shared libraries an
ii  python2.3                     2.3.5-8    An interactive high-level object-o
ii  python2.3-numeric             23.8-4     Numerical (matrix-oriented) Mathem
ii  python2.3-xml                 0.8.4-1    XML tools for Python (2.3.x)

fonttools recommends no packages.

-- debconf-show failed
[fonttools-tz.diff (text/plain, attachment)]

Reply sent to Paul Wise <pabs3@bonedaddy.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 328098-done@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 329171-done@bugs.debian.org, 306287-done@bugs.debian.org, 312379-done@bugs.debian.org, 249673-done@bugs.debian.org, 328098-done@bugs.debian.org
Subject: fontools 1.99+2.0b1+cvs20050624-2 fixes these bugs
Date: Fri, 07 Oct 2005 12:26:21 +0800
[Message part 1 (text/plain, inline)]
Version: 1.99+2.0b1+cvs20031014-1

I've adopted this package and found a sponsor to upload the new package,
which fixes all these bugs.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Wise <pabs3@bonedaddy.net>:
Bug#328098; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Jan Willem Stumpel <jstumpel@planet.nl>:
Extra info received and forwarded to list. Copy sent to Paul Wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #15 received at 328098@bugs.debian.org (full text, mbox):

From: Jan Willem Stumpel <jstumpel@planet.nl>
To: Debian Bug Tracking System <328098@bugs.debian.org>
Subject: fonttools: Bug not fixed yet
Date: Fri, 28 Apr 2006 22:13:41 +0200
Package: fonttools
Version: 1.99+2.0b1+cvs20050624-2
Followup-For: Bug #328098


I get exactly the same error messages as the original bug reporter did, so I
think the bug cannot be closed yet. 

My timezone is CET summer time; I believe my system clock is set to that
zone. I tried calling ttx with a different timezone just like the original
reporter did, in my case TZ=GMT ttx, and then it worked.

Regards, Jan


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages fonttools depends on:
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries
ii  python                        2.3.5-5    An interactive high-level object-o
ii  python-numeric                24.2-2     Numerical (matrix-oriented) Mathem
ii  python-xml                    0.8.4-3    XML tools for Python [dummy packag
ii  python2.3                     2.3.5-9.1  An interactive high-level object-o

fonttools recommends no packages.

-- debconf-show failed



Information forwarded to debian-bugs-dist@lists.debian.org, Paul Wise <pabs3@bonedaddy.net>:
Bug#328098; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Jan Willem Stumpel <jstumpel@planet.nl>:
Extra info received and forwarded to list. Copy sent to Paul Wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #20 received at 328098@bugs.debian.org (full text, mbox):

From: Jan Willem Stumpel <jstumpel@planet.nl>
To: Paul Wise <pabs3@bonedaddy.net>
Cc: 328098@bugs.debian.org
Subject: Re: fonttools: ttx bug mentioned in 358526 (continued)
Date: Sat, 29 Apr 2006 00:22:08 +0200
Paul Wise wrote:
> Hey,
> 
> Could you please file a bug about the ttx problem you mentioned
> here: 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=358526;msg=63
> 

Additional information:

If I run ttx with a totally bogus non-existing timezone, like

   TZ=QRN ttx

it works.

Also, it works with almost all existing timezones, including
Japanese (east of me) and American (west of me) zones. Maybe I
should count America as "east" of me, with "west" stopping at
Greenwich; this might help explain the results mentioned below.

The only cases I have found so far when ttx does NOT work
(producing the same error messages the original reporter got)
are:

-- ttx [without timezone specified]; i.e. my own timezone :-(
-- TZ=CET ttx
-- TZ=WET ttx

With any other timezones I tried, it works (including the "summer
times" CEST and WEST)!

(NB For a list of official timezone abbreviations, see
http://www.timeanddate.com/library/abbreviations/timezones/)

This is very weird:

a) CET is really a different timezone from WET (WET is a
   synonym for GMT and UTC, which both work).
b) ttx works with MEZ (Mittel-Europäische Zeit) which is just
   a synonym for CET (Central European Time) -- which does NOT
   work.

Maybe something is hard-coded in the ttx program which shouldn't
be .. I don't know Python, so I don't even know where to begin to
look. Anyway I cannot think of a reason why the ttx program should
worry about the timezone at all.

Regards, Jan





Bug reopened, originator not changed. Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 1.99+2.0b1+cvs20050624-2. Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 1.99+2.0b1+cvs20031014-1. Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Bug#328098. Full text and rfc822 format available.

Message #29 received at 328098-submitter@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: Jan Willem Stumpel <jstumpel@planet.nl>, 328098-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fonttools: 328098: ttx timezone bug still occurs
Date: Sat, 29 Apr 2006 15:12:43 +0800
[Message part 1 (text/plain, inline)]
reopen 328098 
found 328098 1.99+2.0b1+cvs20050624-2
found 328098 1.99+2.0b1+cvs20031014-1
thanks

About http://bugs.debian.org/328098
The problem has been found by other people after your patch was applied.

I tested the problem using the timezones listed on this page:

http://www.timeanddate.com/library/abbreviations/timezones/

With the patch, the following timezones fail: CET EET WET

When I revert the patch, I am able to run the program fine using any of
the timezones, especially: EEST MEZ CET WET

I think the solution here is to remove the patch, unless you have more
information.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Tags removed: patch Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Wise <pabs3@bonedaddy.net>:
Bug#328098; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Extra info received and forwarded to list. Copy sent to Paul Wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #36 received at 328098@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@univ.kiev.ua>
To: 328098@bugs.debian.org
Subject: Re: Bug#328098: fonttools: 328098: ttx timezone bug still occurs
Date: Sun, 14 May 2006 19:52:13 +0300
[Message part 1 (text/plain, inline)]
Here is log of a jabber conversation on this topic:

[18:32:50] *** pabs@jabber.org is Online
[18:48:50] <eugen> do you have any idea why calc_mac_epoch_diff() uses
year 1972 as reference?
[18:49:15] <eugen> for me that code looks very strange :(
[18:49:24] <pabs@jabber.org> no idea
[18:51:08] <eugen> the easiest 'fix' is to remove that assert, but I do
not know what can be a correct resolution
[18:54:08] <pabs@jabber.org> so, do you still get tracebacks without the
patch?
[18:54:23] <pabs@jabber.org> Perhaps I'll try to contact upstream
[18:56:43] <eugen> yes, I do...
[18:57:33] <pabs@jabber.org> weird, I couldn't reproduce them without
it, even going thru all the timezones listed on that page
[18:57:43] <pabs@jabber.org> and yours was one of them
[18:58:52] <eugen> I do not get traceback when I run "TZ=EEST ttx file"
[18:59:08] <eugen> but I do get them when I run "ttx file"
[18:59:16] <eugen> and my current TZ is EEST
[18:59:22] <eugen> strange...
[18:59:36] <pabs@jabber.org> hmmmm
[19:02:01] <eugen> hmm, without setting TZ time.daylight returns 1, if I
set TZ it returns 0
[19:03:50] <eugen> ...and time.{alt|time}zone return 0 when I set TZ...
[19:03:57] *eugen hates python
[19:05:52] <eugen> and TZ=Europe/Kiev works as expected

29 квітня 2006 о 15:12 +0800 Paul Wise написав(-ла):
> About http://bugs.debian.org/328098
> The problem has been found by other people after your patch was applied.
> 
> I tested the problem using the timezones listed on this page:
> 
> http://www.timeanddate.com/library/abbreviations/timezones/
> 
> With the patch, the following timezones fail: CET EET WET
> 
> When I revert the patch, I am able to run the program fine using any of
> the timezones, especially: EEST MEZ CET WET
> 
> I think the solution here is to remove the patch, unless you have more
> information.

-- 
Eugeniy Meshcheryakov
[signature.asc (application/pgp-signature, inline)]

Message sent on to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Bug#328098. Full text and rfc822 format available.

Message #39 received at 328098-submitter@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: jvr@users.sourceforge.net, fonttools-discussion@lists.sourceforge.net
Cc: 328098-submitter@bugs.debian.org
Subject: need help with fonttools traceback
Date: Thu, 18 May 2006 15:42:16 +0800
[Message part 1 (text/plain, inline)]
Hello,

I'm the current debian maintainer for the fonttools package. When I
adopted it, it had a bug[1] about a traceback in certain timezones. The
bug came with a patch[2], so I applied the patch. Later down the track
other people had the same problem with the patch applied.

I ran a script[3] to check every timezone I have on my system. Without
the patch I get tracebacks with the timezones mentioned in the
bad-no-patch.txt attachment. With the patch, I get tracebacks with the
timezones mentioned in the bad-patch.txt attachment. I also attached the
output of running ttx with and without the patch. You can also see the
values (time.gmtime(safe_epoch)[:6] first and safe_epoch_t[:6] second)
just before the assertion errors.

As to the fix for this, I don't know enough about fonts or fonttools,
but shouldn't ttx be only dealing with GMT/UTC time? Surely fonts don't
embed timezones in them?

     1. http://bugs.debian.org/328098 
     2. http://bugs.debian.org/cgi-bin/bugreport.cgi/fonttools-tz.diff?bug=328098;msg=5;att=1 
     3. for TZ in `find /usr/share/zoneinfo/ | sed
        s_^/usr/share/zoneinfo/__g | grep -v ^posix/ | grep -v ^right/`;
        do echo $TZ ; TZ="$TZ" ttx marlett.ttf ; done &> output ; grep
        -B 5 Traceback output | grep -v -- -- | grep -v Dumping | grep
        -v Traceback
        
        Here, marlett.ttf is the smallest ttf I could find on my system.

PS: Please keep 328098@bugs.debian.org and fonttools-discussion in the
recipients for any replies.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[bad-no-patch.txt (text/plain, attachment)]
[bad-patch.txt (text/plain, attachment)]
[no-patch.txt.bz2 (application/x-bzip, attachment)]
[patch.txt.bz2 (application/x-bzip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Wise <pabs3@bonedaddy.net>:
Bug#328098; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Just van Rossum <just@letterror.com>:
Extra info received and forwarded to list. Copy sent to Paul Wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #44 received at 328098@bugs.debian.org (full text, mbox):

From: Just van Rossum <just@letterror.com>
To: fonttools-discussion@lists.sourceforge.net, 328098@bugs.debian.org
Cc: 328098-submitter@bugs.debian.org
Subject: Re: [FontTools] need help with fonttools traceback
Date: Tue, 23 May 2006 10:48:41 +0200
Paul Wise wrote:

> I'm the current debian maintainer for the fonttools package. When I
> adopted it, it had a bug[1] about a traceback in certain timezones.
> The bug came with a patch[2], so I applied the patch. Later down the
> track other people had the same problem with the patch applied.
> 
> I ran a script[3] to check every timezone I have on my system.
> Without the patch I get tracebacks with the timezones mentioned in
> the bad-no-patch.txt attachment. With the patch, I get tracebacks
> with the timezones mentioned in the bad-patch.txt attachment. I also
> attached the output of running ttx with and without the patch. You
> can also see the values (time.gmtime(safe_epoch)[:6] first and
> safe_epoch_t[:6] second) just before the assertion errors.
> 
> As to the fix for this, I don't know enough about fonts or fonttools,
> but shouldn't ttx be only dealing with GMT/UTC time? Surely fonts
> don't embed timezones in them?
> 
>      1. http://bugs.debian.org/328098 
>      2.
http://bugs.debian.org/cgi-bin/bugreport.cgi/fonttools-tz.diff?bug=
328098;msg=5;att=1 
>      3. for TZ in `find /usr/share/zoneinfo/ | sed
>         s_^/usr/share/zoneinfo/__g | grep -v ^posix/ | grep -v
^right/`;
>         do echo $TZ ; TZ="$TZ" ttx marlett.ttf ; done &> output ; grep
>         -B 5 Traceback output | grep -v -- -- | grep -v Dumping | grep
>         -v Traceback
>         
>         Here, marlett.ttf is the smallest ttf I could find on my
system.

Are you working with an up to date cvs version of fonttools? There was a
patch checked in fairly recently for this. If that still doesn't work
correctly, I'm all ears for suggestions what to do.

Just



Message sent on to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Bug#328098. Full text and rfc822 format available.

Message sent on to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Bug#328098. Full text and rfc822 format available.

Message #50 received at 328098-submitter@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: Just van Rossum <just@letterror.com>, 328098-submitter@bugs.debian.org, fonttools-discussion@lists.sourceforge.net
Subject: Re: Bug#328098: [FontTools] need help with fonttools traceback
Date: Tue, 23 May 2006 17:56:34 +0800
[Message part 1 (text/plain, inline)]
On Tue, 2006-05-23 at 10:48 +0200, Just van Rossum wrote:

> Are you working with an up to date cvs version of fonttools? There was a
> patch checked in fairly recently for this. If that still doesn't work
> correctly, I'm all ears for suggestions what to do.

This is on a CVS snapshot from last year. I haven't updated it because
there were relatively few changes in CVS and I wanted to get this bug
fixed first. If you are referring to [1], I just tested that patch and
it did not help, because it doesn't catch the AssertionError thrown from
calc_mac_epoch_diff() in _h_e_a_d.py, it only catches ValueErrors from
another part of the code.

     1. http://fonttools.cvs.sourceforge.net/fonttools/fonttools/Lib/fontTools/ttLib/tables/_h_e_a_d.py?r1=1.16&r2=1.17&view=patch

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Message sent on to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Bug#328098. Full text and rfc822 format available.

Message #53 received at 328098-submitter@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: Just van Rossum <just@letterror.com>, 328098-submitter@bugs.debian.org
Cc: fonttools-discussion@lists.sourceforge.net
Subject: Re: Bug#328098: [FontTools] need help with fonttools traceback
Date: Tue, 13 Jun 2006 16:42:20 +0800
[Message part 1 (text/plain, inline)]
On Tue, 2006-05-23 at 10:48 +0200, Just van Rossum wrote:

> Are you working with an up to date cvs version of fonttools? There was a
> patch checked in fairly recently for this. If that still doesn't work
> correctly, I'm all ears for suggestions what to do.

The attached hacky patch fixes the tracebacks and produces the same
output as without it, but shouldn't really be used - rather a fix for
the core issue should be put in place - I imagine using a constant is
the correct thing to do, the code gives me -2082844800 no matter what
the timezone is.

Just van Rossum: do you agree with just using a constant? Or should I go
ahead with uploading the attached patch to Debian?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[10_fix_summertime_traceback (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Paul Wise <pabs3@bonedaddy.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #58 received at 328098-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 328098-close@bugs.debian.org
Subject: Bug#328098: fixed in fonttools 1.99+2.0b1+cvs20060225-1
Date: Fri, 16 Jun 2006 16:47:07 -0700
Source: fonttools
Source-Version: 1.99+2.0b1+cvs20060225-1

We believe that the bug you reported is fixed in the latest version of
fonttools, which is due to be installed in the Debian FTP archive:

fonttools_1.99+2.0b1+cvs20060225-1.diff.gz
  to pool/main/f/fonttools/fonttools_1.99+2.0b1+cvs20060225-1.diff.gz
fonttools_1.99+2.0b1+cvs20060225-1.dsc
  to pool/main/f/fonttools/fonttools_1.99+2.0b1+cvs20060225-1.dsc
fonttools_1.99+2.0b1+cvs20060225-1_i386.deb
  to pool/main/f/fonttools/fonttools_1.99+2.0b1+cvs20060225-1_i386.deb
fonttools_1.99+2.0b1+cvs20060225.orig.tar.gz
  to pool/main/f/fonttools/fonttools_1.99+2.0b1+cvs20060225.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 328098@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs3@bonedaddy.net> (supplier of updated fonttools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 16 Jun 2006 19:26:14 +0800
Source: fonttools
Binary: fonttools
Architecture: source i386
Version: 1.99+2.0b1+cvs20060225-1
Distribution: unstable
Urgency: low
Maintainer: Paul Wise <pabs3@bonedaddy.net>
Changed-By: Paul Wise <pabs3@bonedaddy.net>
Description: 
 fonttools  - Converts OpenType and TrueType fonts to and from XML
Closes: 328098
Changes: 
 fonttools (1.99+2.0b1+cvs20060225-1) unstable; urgency=low
 .
   * New upstream bugfix snapshot
   * Migrate patches from the diff.gz to quilt
   * Remove changelog.CVS, instead update upstream's changelog file
   * Fix the watch file, in case upstream ever releases
   * Make homepage in the description comply with devref 6.2.4
   * Tidy the copyright file and fix the copyright years
   * Don't byte-compile .py files at build time
   * Ensure CFLAGS is passed to setup.py
   * Clean unused parts of debian/rules
   * 10_fix_summertime_traceback: return a constant from calc_mac_epoch_diff
     Finally closes: #328098
   * Update for the new Python policy
   * Bump Standards-Version (no changes)
Files: 
 f7656d5d513a9c5be068d5cf08ef9550 763 text optional fonttools_1.99+2.0b1+cvs20060225-1.dsc
 a0b49333ea95ff72b243f4d726fd26ec 284930 text optional fonttools_1.99+2.0b1+cvs20060225.orig.tar.gz
 3a74920d34aa8e99dfd1e5083bf1dfeb 8060 text optional fonttools_1.99+2.0b1+cvs20060225-1.diff.gz
 616e057951b5a74f6ba6fec381070665 279030 text optional fonttools_1.99+2.0b1+cvs20060225-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEkz7wKaC6+zmozOIRAjdwAJ9hplzyldE3pv63pGn7aFyuwXXeAQCbBZlr
jKQyVpZl68D7keM5flGIRI8=
=0axm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 08:19:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:22:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.